declare type Properties = {
    [key: string]: {
        prefix: string;
        scale: string;
        supportsNegativeValues?: boolean;
    };
};
export declare const properties: Properties;
export declare const namedClassProperties: {
    absolute: {
        position: string;
    };
    'align-baseline': {
        'vertical-align': string;
    };
    'align-bottom': {
        'vertical-align': string;
    };
    'align-middle': {
        'vertical-align': string;
    };
    'align-sub': {
        'vertical-align': string;
    };
    'align-super': {
        'vertical-align': string;
    };
    'align-text-bottom': {
        'vertical-align': string;
    };
    'align-text-top': {
        'vertical-align': string;
    };
    'align-top': {
        'vertical-align': string;
    };
    antialiased: {
        '-webkit-font-smoothing': string;
        '-moz-osx-font-smoothing': string;
    };
    'appearance-none': {
        appearance: string;
    };
    'backdrop-filter-none': {
        'backdrop-filter': string;
    };
    'bg-blend-color': {
        'background-blend-mode': string;
    };
    'bg-blend-color-burn': {
        'background-blend-mode': string;
    };
    'bg-blend-color-dodge': {
        'background-blend-mode': string;
    };
    'bg-blend-darken': {
        'background-blend-mode': string;
    };
    'bg-blend-difference': {
        'background-blend-mode': string;
    };
    'bg-blend-exclusion': {
        'background-blend-mode': string;
    };
    'bg-blend-hard-light': {
        'background-blend-mode': string;
    };
    'bg-blend-hue': {
        'background-blend-mode': string;
    };
    'bg-blend-lighten': {
        'background-blend-mode': string;
    };
    'bg-blend-luminosity': {
        'background-blend-mode': string;
    };
    'bg-blend-multiply': {
        'background-blend-mode': string;
    };
    'bg-blend-normal': {
        'background-blend-mode': string;
    };
    'bg-blend-overlay': {
        'background-blend-mode': string;
    };
    'bg-blend-saturation': {
        'background-blend-mode': string;
    };
    'bg-blend-screen': {
        'background-blend-mode': string;
    };
    'bg-blend-soft-light': {
        'background-blend-mode': string;
    };
    'bg-clip-border': {
        'background-clip': string;
    };
    'bg-clip-content': {
        'background-clip': string;
    };
    'bg-clip-padding': {
        'background-clip': string;
    };
    'bg-clip-text': {
        'background-clip': string;
    };
    'bg-fixed': {
        'background-attachment': string;
    };
    'bg-local': {
        'background-attachment': string;
    };
    'bg-no-repeat': {
        'background-repeat': string;
    };
    'bg-origin-border': {
        'background-origin': string;
    };
    'bg-origin-content': {
        'background-origin': string;
    };
    'bg-origin-padding': {
        'background-origin': string;
    };
    'bg-repeat': {
        'background-repeat': string;
    };
    'bg-repeat-round': {
        'background-repeat': string;
    };
    'bg-repeat-space': {
        'background-repeat': string;
    };
    'bg-repeat-x': {
        'background-repeat': string;
    };
    'bg-repeat-y': {
        'background-repeat': string;
    };
    'bg-scroll': {
        'background-attachment': string;
    };
    block: {
        display: string;
    };
    'border-collapse': {
        'border-collapse': string;
    };
    'border-dashed': {
        'border-style': string;
    };
    'border-dotted': {
        'border-style': string;
    };
    'border-double': {
        'border-style': string;
    };
    'border-hidden': {
        'border-style': string;
    };
    'border-none': {
        'border-style': string;
    };
    'border-separate': {
        'border-collapse': string;
    };
    'border-solid': {
        'border-style': string;
    };
    'box-border': {
        'box-sizing': string;
    };
    'box-content': {
        'box-sizing': string;
    };
    'box-decoration-clone': {
        'box-decoration-break': string;
    };
    'box-decoration-slice': {
        'box-decoration-break': string;
    };
    'break-after-all': {
        'break-after': string;
    };
    'break-after-auto': {
        'break-after': string;
    };
    'break-after-avoid': {
        'break-after': string;
    };
    'break-after-avoid-page': {
        'break-after': string;
    };
    'break-after-column': {
        'break-after': string;
    };
    'break-after-left': {
        'break-after': string;
    };
    'break-after-page': {
        'break-after': string;
    };
    'break-after-right': {
        'break-after': string;
    };
    'break-all': {
        'word-break': string;
    };
    'break-before-all': {
        'break-before': string;
    };
    'break-before-auto': {
        'break-before': string;
    };
    'break-before-avoid': {
        'break-before': string;
    };
    'break-before-avoid-page': {
        'break-before': string;
    };
    'break-before-column': {
        'break-before': string;
    };
    'break-before-left': {
        'break-before': string;
    };
    'break-before-page': {
        'break-before': string;
    };
    'break-before-right': {
        'break-before': string;
    };
    'break-inside-auto': {
        'break-inside': string;
    };
    'break-inside-avoid': {
        'break-inside': string;
    };
    'break-inside-avoid-column': {
        'break-inside': string;
    };
    'break-inside-avoid-page': {
        'break-inside': string;
    };
    'break-keep': {
        'word-break': string;
    };
    'break-normal': {
        'overflow-wrap': string;
        'word-break': string;
    };
    'break-words': {
        'overflow-wrap': string;
    };
    capitalize: {
        'text-transform': string;
    };
    'clear-both': {
        clear: string;
    };
    'clear-left': {
        clear: string;
    };
    'clear-none': {
        clear: string;
    };
    'clear-right': {
        clear: string;
    };
    collapse: {
        visibility: string;
    };
    'content-around': {
        'align-content': string;
    };
    'content-baseline': {
        'align-content': string;
    };
    'content-between': {
        'align-content': string;
    };
    'content-center': {
        'align-content': string;
    };
    'content-end': {
        'align-content': string;
    };
    'content-evenly': {
        'align-content': string;
    };
    'content-start': {
        'align-content': string;
    };
    contents: {
        display: string;
    };
    'content-none': {
        content: string;
    };
    'decoration-clone': {
        'box-decoration-break': string;
    };
    'decoration-slice': {
        'box-decoration-break': string;
    };
    'decoration-dashed': {
        'text-decoration-style': string;
    };
    'decoration-dotted': {
        'text-decoration-style': string;
    };
    'decoration-double': {
        'text-decoration-style': string;
    };
    'decoration-solid': {
        'text-decoration-style': string;
    };
    'decoration-wavy': {
        'text-decoration-style': string;
    };
    'diagonal-fractions': {
        'font-variant-numeric': string;
    };
    'divide-solid': {
        'border-style': string;
    };
    'divide-dashed': {
        'border-style': string;
    };
    'divide-dotted': {
        'border-style': string;
    };
    'divide-double': {
        'border-style': string;
    };
    'divide-none': {
        'border-style': string;
    };
    'filter-none': {
        filter: string;
    };
    fixed: {
        position: string;
    };
    flex: {
        display: string;
    };
    'flex-col': {
        'flex-direction': string;
    };
    'flex-col-reverse': {
        'flex-direction': string;
    };
    'flex-nowrap': {
        'flex-wrap': string;
    };
    'flex-row': {
        'flex-direction': string;
    };
    'flex-row-reverse': {
        'flex-direction': string;
    };
    'flex-wrap': {
        'flex-wrap': string;
    };
    'flex-wrap-reverse': {
        'flex-wrap': string;
    };
    'float-left': {
        float: string;
    };
    'float-none': {
        float: string;
    };
    'float-right': {
        float: string;
    };
    'flow-root': {
        display: string;
    };
    grid: {
        display: string;
    };
    'grid-flow-col': {
        gridAutoFlow: string;
    };
    'grid-flow-col-dense': {
        gridAutoFlow: string;
    };
    'grid-flow-dense': {
        gridAutoFlow: string;
    };
    'grid-flow-row': {
        gridAutoFlow: string;
    };
    'grid-flow-row-dense': {
        gridAutoFlow: string;
    };
    hidden: {
        display: string;
    };
    inline: {
        display: string;
    };
    'inline-block': {
        display: string;
    };
    'inline-flex': {
        display: string;
    };
    'inline-grid': {
        display: string;
    };
    'inline-table': {
        display: string;
    };
    invisible: {
        visibility: string;
    };
    isolate: {
        isolation: string;
    };
    'isolation-auto': {
        isolation: string;
    };
    italic: {
        'font-style': string;
    };
    'items-baseline': {
        'align-items': string;
    };
    'items-center': {
        'align-items': string;
    };
    'items-end': {
        'align-items': string;
    };
    'items-start': {
        'align-items': string;
    };
    'items-stretch': {
        'align-items': string;
    };
    'justify-around': {
        'justify-content': string;
    };
    'justify-between': {
        'justify-content': string;
    };
    'justify-center': {
        'justify-content': string;
    };
    'justify-end': {
        'justify-content': string;
    };
    'justify-evenly': {
        'justify-content': string;
    };
    'justify-items-center': {
        'justify-items': string;
    };
    'justify-items-end': {
        'justify-items': string;
    };
    'justify-items-start': {
        'justify-items': string;
    };
    'justify-items-stretch': {
        'justify-items': string;
    };
    'justify-self-auto': {
        'justify-self': string;
    };
    'justify-self-center': {
        'justify-self': string;
    };
    'justify-self-end': {
        'justify-self': string;
    };
    'justify-self-start': {
        'justify-self': string;
    };
    'justify-self-stretch': {
        'justify-self': string;
    };
    'justify-start': {
        'justify-content': string;
    };
    'line-through': {
        'text-decoration-line': string;
    };
    'lining-nums': {
        'font-variant-numeric': string;
    };
    'list-inside': {
        'list-style-position': string;
    };
    'list-item': {
        display: string;
    };
    'list-outside': {
        'list-style-position': string;
    };
    lowercase: {
        'text-transform': string;
    };
    'mix-blend-color': {
        'mix-blend-mode': string;
    };
    'mix-blend-color-burn': {
        'mix-blend-mode': string;
    };
    'mix-blend-color-dodge': {
        'mix-blend-mode': string;
    };
    'mix-blend-darken': {
        'mix-blend-mode': string;
    };
    'mix-blend-difference': {
        'mix-blend-mode': string;
    };
    'mix-blend-exclusion': {
        'mix-blend-mode': string;
    };
    'mix-blend-hard-light': {
        'mix-blend-mode': string;
    };
    'mix-blend-hue': {
        'mix-blend-mode': string;
    };
    'mix-blend-lighten': {
        'mix-blend-mode': string;
    };
    'mix-blend-luminosity': {
        'mix-blend-mode': string;
    };
    'mix-blend-multiply': {
        'mix-blend-mode': string;
    };
    'mix-blend-normal': {
        'mix-blend-mode': string;
    };
    'mix-blend-overlay': {
        'mix-blend-mode': string;
    };
    'mix-blend-plus-lighter': {
        'mix-blend-mode': string;
    };
    'mix-blend-saturation': {
        'mix-blend-mode': string;
    };
    'mix-blend-screen': {
        'mix-blend-mode': string;
    };
    'mix-blend-soft-light': {
        'mix-blend-mode': string;
    };
    'no-underline': {
        'text-decoration-line': string;
    };
    'normal-case': {
        'text-transform': string;
    };
    'normal-nums': {
        'font-variant-numeric': string;
    };
    'not-italic': {
        'font-style': string;
    };
    'not-sr-only': {
        position: string;
        width: string;
        height: string;
        padding: string;
        margin: string;
        overflow: string;
        clip: string;
        whiteSpace: string;
    };
    'object-contain': {
        'object-fit': string;
    };
    'object-cover': {
        'object-fit': string;
    };
    'object-fill': {
        'object-fit': string;
    };
    'object-none': {
        'object-fit': string;
    };
    'object-scale-down': {
        'object-fit': string;
    };
    'oldstyle-nums': {
        'font-variant-numeric': string;
    };
    ordinal: {
        'font-variant-numeric': string;
    };
    outline: {
        'outline-style': string;
    };
    'outline-dashed': {
        'outline-style': string;
    };
    'outline-dotted': {
        'outline-style': string;
    };
    'outline-double': {
        'outline-style': string;
    };
    'outline-none': {
        outline: string;
        'outline-offset': string;
    };
    'overflow-auto': {
        overflow: string;
    };
    'overflow-clip': {
        overflow: string;
    };
    'overflow-ellipsis': {
        'text-overflow': string;
    };
    'overflow-hidden': {
        overflow: string;
    };
    'overflow-scroll': {
        overflow: string;
    };
    'overflow-visible': {
        overflow: string;
    };
    'overflow-x-auto': {
        'overflow-x': string;
    };
    'overflow-x-clip': {
        'overflow-x': string;
    };
    'overflow-x-hidden': {
        'overflow-x': string;
    };
    'overflow-x-scroll': {
        'overflow-x': string;
    };
    'overflow-x-visible': {
        'overflow-x': string;
    };
    'overflow-y-auto': {
        'overflow-y': string;
    };
    'overflow-y-clip': {
        'overflow-y': string;
    };
    'overflow-y-hidden': {
        'overflow-y': string;
    };
    'overflow-y-scroll': {
        'overflow-y': string;
    };
    'overflow-y-visible': {
        'overflow-y': string;
    };
    overline: {
        'text-decoration-line': string;
    };
    'overscroll-auto': {
        'overscroll-behavior': string;
    };
    'overscroll-contain': {
        'overscroll-behavior': string;
    };
    'overscroll-none': {
        'overscroll-behavior': string;
    };
    'overscroll-x-auto': {
        'overscroll-behavior-x': string;
    };
    'overscroll-x-contain': {
        'overscroll-behavior-x': string;
    };
    'overscroll-x-none': {
        'overscroll-behavior-x': string;
    };
    'overscroll-y-auto': {
        'overscroll-behavior-y': string;
    };
    'overscroll-y-contain': {
        'overscroll-behavior-y': string;
    };
    'overscroll-y-none': {
        'overscroll-behavior-y': string;
    };
    'place-content-around': {
        'place-content': string;
    };
    'place-content-baseline': {
        'place-content': string;
    };
    'place-content-between': {
        'place-content': string;
    };
    'place-content-center': {
        'place-content': string;
    };
    'place-content-end': {
        'place-content': string;
    };
    'place-content-evenly': {
        'place-content': string;
    };
    'place-content-start': {
        'place-content': string;
    };
    'place-content-stretch': {
        'place-content': string;
    };
    'place-items-baseline': {
        'place-items': string;
    };
    'place-items-center': {
        'place-items': string;
    };
    'place-items-end': {
        'place-items': string;
    };
    'place-items-start': {
        'place-items': string;
    };
    'place-items-stretch': {
        'place-items': string;
    };
    'place-self-auto': {
        'place-self': string;
    };
    'place-self-center': {
        'place-self': string;
    };
    'place-self-end': {
        'place-self': string;
    };
    'place-self-start': {
        'place-self': string;
    };
    'place-self-stretch': {
        'place-self': string;
    };
    'pointer-events-auto': {
        'pointer-events': string;
    };
    'pointer-events-none': {
        'pointer-events': string;
    };
    'proportional-nums': {
        'font-variant-numeric': string;
    };
    relative: {
        position: string;
    };
    resize: {
        resize: string;
    };
    'resize-none': {
        resize: string;
    };
    'resize-x': {
        resize: string;
    };
    'resize-y': {
        resize: string;
    };
    'ring-inset': {
        '--tw-ring-inset': string;
    };
    'scroll-auto': {
        'scroll-behavior': string;
    };
    'scroll-smooth': {
        'scroll-behavior': string;
    };
    'select-all': {
        'user-select': string;
    };
    'select-auto': {
        'user-select': string;
    };
    'select-none': {
        'user-select': string;
    };
    'select-text': {
        'user-select': string;
    };
    'self-auto': {
        'align-self': string;
    };
    'self-baseline': {
        'align-self': string;
    };
    'self-center': {
        'align-self': string;
    };
    'self-end': {
        'align-self': string;
    };
    'self-start': {
        'align-self': string;
    };
    'self-stretch': {
        'align-self': string;
    };
    'slashed-zero': {
        'font-variant-numeric': string;
    };
    'snap-align-none': {
        'scroll-snap-align': string;
    };
    'snap-always': {
        'scroll-snap-stop': string;
    };
    'snap-center': {
        'scroll-snap-align': string;
    };
    'snap-end': {
        'scroll-snap-align': string;
    };
    'snap-normal': {
        'scroll-snap-stop': string;
    };
    'snap-start': {
        'scroll-snap-align': string;
    };
    '.snap-mandatory': {
        '--tw-scroll-snap-strictness': string;
    };
    '.snap-proximity': {
        '--tw-scroll-snap-strictness': string;
    };
    '.snap-none': {
        'scroll-snap-type': string;
    };
    '.snap-x': {
        'scroll-snap-type': string;
    };
    '.snap-y': {
        'scroll-snap-type': string;
    };
    '.snap-both': {
        'scroll-snap-type': string;
    };
    'sr-only': {
        position: string;
        width: string;
        height: string;
        padding: string;
        margin: string;
        overflow: string;
        clip: string;
        whiteSpace: string;
        borderWidth: string;
    };
    'stacked-fractions': {
        'font-variant-numeric': string;
    };
    static: {
        position: string;
    };
    sticky: {
        position: string;
    };
    'subpixel-antialiased': {
        '-webkit-font-smoothing': string;
        '-moz-osx-font-smoothing': string;
    };
    table: {
        display: string;
    };
    'table-auto': {
        'table-layout': string;
    };
    'table-caption': {
        display: string;
    };
    'table-cell': {
        display: string;
    };
    'table-column': {
        display: string;
    };
    'table-column-group': {
        display: string;
    };
    'table-fixed': {
        'table-layout': string;
    };
    'table-footer-group': {
        display: string;
    };
    'table-header-group': {
        display: string;
    };
    'table-row': {
        display: string;
    };
    'table-row-group': {
        display: string;
    };
    'tabular-nums': {
        'font-variant-numeric': string;
    };
    'text-center': {
        'text-align': string;
    };
    'text-clip': {
        'text-overflow': string;
    };
    'text-ellipsis': {
        'text-overflow': string;
    };
    'text-end': {
        'text-align': string;
    };
    'text-justify': {
        'text-align': string;
    };
    'text-left': {
        'text-align': string;
    };
    'text-right': {
        'text-align': string;
    };
    'text-start': {
        'text-align': string;
    };
    'touch-auto': {
        'touch-action': string;
    };
    'touch-none': {
        'touch-action': string;
    };
    'touch-pan-x': {
        'touch-action': string;
    };
    'touch-pan-left': {
        'touch-action': string;
    };
    'touch-pan-right': {
        'touch-action': string;
    };
    'touch-pan-y': {
        'touch-action': string;
    };
    'touch-pan-up': {
        'touch-action': string;
    };
    'touch-pan-down': {
        'touch-action': string;
    };
    'touch-pinch-zoom': {
        'touch-action': string;
    };
    'touch-manipulation': {
        'touch-action': string;
    };
    truncate: {
        overflow: string;
        'text-overflow': string;
        'white-space': string;
    };
    underline: {
        'text-decoration-line': string;
    };
    uppercase: {
        'text-transform': string;
    };
    visible: {
        visibility: string;
    };
    'whitespace-normal': {
        'white-space': string;
    };
    'whitespace-nowrap': {
        'white-space': string;
    };
    'whitespace-pre': {
        'white-space': string;
    };
    'whitespace-pre-line': {
        'white-space': string;
    };
    'whitespace-pre-wrap': {
        'white-space': string;
    };
};
export {};
